unit QRBy;

// -----------------Builds Quick Report by DataSet or DBGrid--------------------
// Copyright (c) A. Zhikharev, 1999
// mailto:zhav3@uic.nnov.ru
// http://www.uic.nnov.ru/~zhav3
// -----------------------------------------------------------------------------

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  db,grids,dbgrids;

type
  TQRByDBGrid = class(TComponent)
  private
    { Private declarations }
    FDBGrid:TDBGrid;
    FCaption:string;
  protected
    { Protected declarations }
  public
    { Public declarations }
    procedure Preview;
  published
    { Published declarations }
    property Caption:string read FCaption write FCaption;
    property DBGrid:TDBGrid read FDBGrid write FDBGrid;
  end;

  TQRByDataSet = class(TComponent)
  private
    { Private declarations }
    FDataSet:TDataSet;
    FCaption:string;
  protected
    { Protected declarations }
  public
    { Public declarations }
    procedure Preview;
  published
    { Published declarations }
    property Caption:string read FCaption write FCaption;
    property DataSet:TDataSet read FDataSet write FDataSet;
  end;

procedure Register;

implementation

{$R *.dcr}

uses
  UnitReport;

//TQRByDBGrid
//    DBGrid
//WYSIWYG

procedure TQRByDBGrid.Preview;
begin
  ShowReportByGrid(DBGrid,Caption);
end;

//TQRByDataSet
//    DataSet

procedure TQRByDataSet.Preview;
begin
  ShowReportByDataSet(DataSet,Caption);
end;

procedure Register;
begin
  RegisterComponents('Alex', [TQRByDBGrid,TQRByDataSet]);
end;

end.
